Class | Amalgalite::SQLite3::Database::Stat
In: | lib/amalgalite/sqlite3/database/status.rb lib/amalgalite/sqlite3/database/status.rb
Parent: | Object

A Stat represents a single Database Status code and its current highwater mark.

Some stats may not have a current or a highwater value, in those cases the associated _has_current?_ or _has_highwater?_ method returns false and the current or highwater method also returns `nil`.

### Methods

current current highwater highwater new new reset! reset!

### Attributes

code | [R] |
code | [R] |
name | [R] |
name | [R] |

### Public Class methods

new( api_db, name )
new( api_db, name )

### Public Instance methods

current()
current()
highwater()
highwater()
reset!()

reset the given stat‘s highwater mark. This will also populate the _@current_ and _@highwater_ instance variables

reset!()

reset the given stat‘s highwater mark. This will also populate the _@current_ and _@highwater_ instance variables

[Validate]